{
  "type": "minecraft:crafting_shaped",
  "category": "misc",
  "key": {
    "#": [
      "diamond"
    ],
    "N": [
      "minecraft:netherite_ingot"
    ],
    "S": [
      "minecraft:netherite_upgrade_smithing_template"
    ]
  },
  "pattern": [
    "#S#",
    "#N#",
    "###"
  ],
  "result": {
    "id": "minecraft:netherite_upgrade_smithing_template",
    "count": 2
  },
  "show_notification": true
}